Operating System Information

Canon understands that our customers may often choose to upgrade their existing operating systems and technologies which may have been supporting previously purchased Canon products.

Before doing so, Canon always recommends that our customers consider whether or not their Canon product will continue to function with the new intended upgraded operating system.

In general, at the point of the launch of each new operating system, Canon will have already determined exactly which products will be supported and this will be communicated via our support websites.

Canon takes those decisions in the knowledge that the production of drivers and software support comes at a direct financial cost. So, while Canon certainly respects our customer’s choice to decide to upgrade technologies, Canon cannot guarantee that older Canon products will continue to be supported by the new operating system.

Please note, Canon recommends that you check the compatibility status of your product before you upgrade your operating system.

Mac OS X Compatibility

To view the compatibility of your product with your Mac OS X operating system, please select your product and use the filters to tailor your selection as required. If your product is supported, you can download and install the driver. You will also be able to view other available content such as software, user manuals, firmware and FAQs.

Check my Mac OS X compatibility >


Windows Compatibility

To view the compatibility of your product with your Windows operating system, please select your product and use the filters to tailor your selection as required. If your product is supported, you can download and install the driver. You will also be able to view other available content such as software, user manuals, firmware and FAQs.

Check my Windows compatibility >

Announcements

Windows 10 Devices Running Snapdragon Announcement

A number of Canon products that support Windows 10 do not support Windows 10 devices running snapdragon.

To check if your system is running Snapdragon please check under ‘System’ for ‘64-bit Operating System, ARM-based processor’ or ‘32-bit Operating System, ARM-based processor’ if this is listed it means Snapdragon is installed. You can access this menu by selecting ‘Control Panel’ > ‘All Control Panel Items’ > ‘System’.

Win10 Screenshot.jpg

The products that are not compatible are listed below -

Affected Products

PIXMA products

The following PIXMA products are not compatible with Windows 10 Snapdragon.

PIXMA
PIXMA iP3640PIXMA iP3650PIXMA PRO-1000PIXMA G1400
PIXMA G1500PIXMA G1410PIXMA MX7600PIXMA G2400
PIXMA G2500PIXMA G2410PIXMA TS3140PIXMA TS3150
PIXMA TS3151PIXMA E3140PIXMA TS5140PIXMA TS5150
PIXMA TS5151PIXMA TS6140PIXMA TS6150PIXMA TS6151
PIXMA TS8140PIXMA TS8150PIXMA TS8151PIXMA TS8152
PIXMA TS9140PIXMA TS9150PIXMA TS9155PIXMA TR7540
PIXMA TR7550PIXMA TR8540PIXMA TR8550

CanoScan products

All CanoScan products are not compatible with Windows 10 Snapdragon.

CanoScan products
LiDE120LiDE220

imagePROGRAF (large format printers) products

All imagePROGRAF (large format printers) products are not compatible with Windows 10 Snapdragon.

Windows 10 S Information

Windows 10 S is a version of Windows 10 that focuses on security and only applications from the Windows store can be installed on machines running Windows 10 S. 

The majority of Canon products that are compatible with Windows 10 have a basic driver that is already installed within Windows 10 S, however there is a selection of products that do not have this option available and as a result are not compatible with Windows 10 S.  For more detailed information regarding Windows 10 S, please visit the Microsoft Windows 10 S page

The products that are not compatible with Windows 10 S are listed below -

Affected Products

PIXMA products

The following PIXMA products are not compatible with Windows 10 S - 

PIXMA
PIXMA G1400PIXMA G1500PIXMA G2400PIXMA G2500
PIXMA iP1100PIXMA iP1180PIXMA iP3600PIXMA iX4000
PIXMA iX5000PIXMA MX7600PIXMA PRO-1000

i-SENSYS products

The following i-SENSYS products are not compatible with Windows 10 S - 

i-SENSYS LBP Series
i-SENSYS LBP151dwi-SENSYS LBP251dwi-SENSYS LBP252dwi-SENSYS LBP253x
i-SENSYS LBP6030i-SENSYS LBP6030Bi-SENSYS LBP6030wi-SENSYS LBP6230dw
i-SENSYS LBP7100Cni-SENSYS LBP7110Cw

i-SENSYS MF Series
i-SENSYS MF211i-SENSYS MF212wi-SENSYS MF226dni-SENSYS MF229dw
i-SENSYS MF231i-SENSYS MF232wi-SENSYS MF237wi-SENSYS MF244dw
i-SENSYS MF247dwi-SENSYS MF249dwi-SENSYS MF411dw

i-SENSYS MF416dw

i-SENSYS MF418xi-SENSYS MF512xi-SENSYS MF515x

i-SENSYS MF623Cn

i-SENSYS MF628Cwi-SENSYS MF724Cdwi-SENSYS MF728Cdwi-SENSYS MF729Cx
i-SENSYS MF3010i-SENSYS MF8230Cni-SENSYS MF8280Cwi-SENSYS MF8540Cdn
i-SENSYS MF8550Cdni-SENSYS MF8580Cdn




i-SENSYS FAX 
i-SENSYS FAX-L100i-SENSYS FAX-L150i-SENSYS FAX-L170i-SENSYS FAX-L250

imageRUNNER products

The following imageRUNNER products are not compatible with Windows 10 S - 

imageRUNNER
imageRUNNER 1435imageRUNNER 1435iimageRUNNER 1435iFimageRUNNER 1435P
imageRUNNER 2204imageRUNNER 2204FimageRUNNER 2204NimageRUNNER C1225
imageRUNNER C1225iFimageRUNNER C1325iFimageRUNNER C1335iFimageRUNNER C1335iFC

imagePROGRAF (large format printers) products

All imagePROGRAF (large format printers) products are not compatible with Windows 10 S.


Linux Compatibility

PIXMA Printers and All-In-Ones, Scanners, i-SENSYS Laser Printers and All-In-Ones, Laser Fax Machines & Personal Copiers

Canon currently only provides support for PIXMA products and the Linux operating system by providing basic drivers in a limited amount of languages.

These basic drivers may not encompass the full range of functionalities for all printer and all-in-one products but they will allow basic printing and scanning operation.

Linux drivers are not supplied as part of Canon’s installation CD-ROM and these are instead made available via our support area. Please select your product and filter the results based on language and operating system.

Canon does not offer specific after care support for Linux related issues beyond the provision of the initial drivers.

Check my Linux compatibility >


Please help us improve our service by completing a short survey based on your experience of the Canon Support website.

Complete the survey No, thank you